Subject: Re: bug#30182: Update

From: martin rudalics <[email-masked]>
Date: Fri, 02 Feb 2018 09:37:26 +0100

>  > So I'm still unsure what is going on here.  But if indeed the above
 >  > scenario somehow ends up calling Lisp from the async redisplay,
 >  > wrapping the call to Fcopy_sequence in timer_check with block_input
 >  > and unblock_input should solve the problem, right?
 >
 > But we can't do that, right?  Users should be able to cancel it.

I misread your lines.  Wrapping that call should indeed solve the
problem.

martin